<?php
/**
* オブジェクトを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface IObject
{
	/**
	 *   オブジェクト名を取得
	 */
	public function getName();

	/**
	 *   オブジェクト名を設定
	 */
	public function setName( String $name );

	/**
	 * ハッシュコード
	 */
	public function hashCode();

	/**
	 * instanceof判定
	 */
	public function isInstanceOf( String $class_name );

	/**
	 * 文字列化
	 */
	public function toString();
}

return __FILE__;